Update GeoIP to 4x (cPanel Default install GeoIP V2.5.0)

nadav123

Well-Known Member
Mar 2, 2020
159
18
18
Orlando, FL
cPanel Access Level
Root Administrator
Hello, i want to know what is the best option to upgrade from the default GEOIP 2.5.0
to 4x

I see a need to override the current download, but it sounds to me very wired and i know cPanel, not like it, and love only supported stuff.
so my question is how i can upgrade that without any download or just simple command line the cPanel guys only knows :)

waiting for your help.
 
  • Like
Reactions: cPanelAnthony

nadav123

Well-Known Member
Mar 2, 2020
159
18
18
Orlando, FL
cPanel Access Level
Root Administrator
Is not, and this It's exactly what i suspect when i talk with MaxMind.
cPanelLauren Response:
For which service are you attempting to update it for? The GeoIP database used by cPanel services uses our own RPM.


It was perfectly answered.
More than that, when i asked that the support of MaxMind, they don't know what is the best one for cPanel servers:

They publish something like 10 versions, all the versions split to processors (AMD, 365. INTEL)
not for servers and system operations...

I asked them and they not have any idea to direct clients of cPanel ( is was very wired because cPanel it's 25 years panel )

as cPanelLauren said, you cant update that from where you want.
It needs to be compiled to cPanel RPM - It is a unique RPM and need to keep it that way.

FOR NOW, MY SOLUTION WAS TO WORK ON THE OLD VERSION,
WHY?

As i said before, cPanel is a unique system.
I figure out with the years, cPanel is design in the best way,
Have genius people behind this product, and after 4 years i got it. ( even if need optimize something, It's minor, cPanel design for the best performance already ).

So... i decide to work on GeoIP 2.5.0 and not upgrade nothing.
keep what cPanel offers and this is it.

you can close the topic.